#include <qapplication.h>
//--------------------------------------------------------------------------------------
#include <qtextcodec.h>
//--------------------------------------------------------------------------------------
#include "gui.h"
//--------------------------------------------------------------------------------------

int main(int argc,char *argv[])
{
	QApplication app(argc,argv);
	QTextCodec::setCodecForCStrings( QTextCodec::codecForName("KOI8-R") );
	//QTextCodec::setCodecForCStrings( QTextCodec::codecForName("CP1251") );
	
	GUI *wid=new GUI;
	app.setMainWidget(wid);
	wid->show();
	wid->setWindowState(wid->windowState() | Qt::WindowMaximized);
	wid->initWidget();
	QObject::connect(&app,SIGNAL(aboutToQuit()),wid,SLOT(slotExit()));
	return app.exec();
} 

//--------------------------------------------------------------------------------------
